// Ex0603: フォトインタラプタ(配列とforループ使用)
#define NUM_PR  5 // センサの数
const int pr_pins[NUM_PR] = {A3, A6, A7, A4, A5};
int pr[NUM_PR] = {0};

void setup() {
  Serial.begin(115200);
  delay(100);
}

void loop() {
  get_pr();

  // 実行結果の表示
  for (int i = 0; i < NUM_PR; i++) {
    Serial.print(pr[i]);
    if (i < NUM_PR-1)
      Serial.print(",");
  }
  Serial.println();

  delay(100);
}

void get_pr() {
  // センサの値取得
  for (int i = 0; i < NUM_PR; i++) {
    pr[i] = analogRead(pr_pins[i]);
  }
}
